### Method

# Vips Region fetch

#### Declaration [src]

    VipsPel*
    vips_region_fetch (
      VipsRegion* region,
      int left,
      int top,
      int width,
      int height,
      size_t* len
    )

#### Description [src]

Generate an area of pixels and return a copy. The result must be freed with `g_free()`. The requested area must be completely inside the image.

This is equivalent to `vips_region_prepare()`, followed by a memcpy. It is convenient for language bindings.

#### Parameters

`left`

  Type: `int`

  Area of pixels to fetch.

`top`

  Type: `int`

  Area of pixels to fetch.

`width`

  Type: `int`

  Area of pixels to fetch.

`height`

  Type: `int`

  Area of pixels to fetch.

`len`

  Type: `size_t*`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `VipsPel`

A copy of the pixel data.

The returned data is owned by the instance.